# -*- coding: utf-8 -*-
# Generated by scripts/generate_from_specs.py
from __future__ import unicode_literals

# EmbedTopicsRequest


choices = ()

EMBEDTOPICSREQUESTLIST = []

SCHEMA = {
    "$id": "/schemas/embed_topics_request",
    "$schema": "http://json-schema.org/draft-07/schema#",
    "type": "object",
    "description": "Schema for embed topics requests received by RayServe",
    "additionalProperties": False,
    "definitions": {
        "ancestors": {
            "type": "array",
            "description": "The ancestors of the topic, in order, from the parent to the root",
            "items": {"$ref": "#/definitions/topic"},
        },
        "language": {
            "type": "string",
            "description": "Language code from https://github.com/learningequality/le-utils/blob/main/le_utils/resources/languagelookup.json",
            "pattern": "^[a-z]{2,3}(?:-[a-zA-Z]+)?$",
        },
        "topic": {
            "type": "object",
            "description": "A topic in the tree structure",
            "additionalProperties": False,
            "properties": {
                "id": {
                    "type": "string",
                    "description": "The ID of the topic content node on Studio",
                },
                "title": {"type": "string", "description": "The title of the topic"},
                "description": {
                    "type": "string",
                    "description": "The description of the topic",
                },
                "language": {"$ref": "#/definitions/language"},
                "ancestors": {"$ref": "#/definitions/ancestors"},
            },
            "required": ["id", "title", "description"],
        },
    },
    "properties": {
        "topics": {
            "type": "array",
            "description": "A list of topics to embed",
            "items": {"$ref": "#/definitions/topic"},
        },
        "metadata": {
            "type": "object",
            "description": "The metadata of the channel for logging purposes",
        },
    },
    "required": ["topics"],
}
